FLANG

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Fortran::runtime::io::ListDirectedStatementState< Direction::Output > Struct Reference

## Public Member Functions
bool | NeedAdvance (const ConnectionState &, std::size_t) const
bool | EmitLeadingSpaceOrAdvance (IoStatementState &, std::size_t, bool isCharacter=false)
std::optional< DataEdit > | GetNextDataEdit (IoStatementState &, int maxRepeat=1)

## Static Public Member Functions
static std::size_t | RemainingSpaceInRecord (const ConnectionState &)

## Public Attributes
bool | lastWasUndelimitedCharacter {false}

The documentation for this struct was generated from the following files:

- runtime/io-stmt.h
- runtime/io-stmt.cpp